/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public void deleteVehicle( final Vehicle vehicle ) {
    vehicle.delete();
}
public String validateDeleteVehicle( final Vehicle vehicle) {
    return getVehicles().contains(vehicle)?
            null: "Customer does not own this vehicle";
}
public List<Vehicle> choices0DeleteVehicle() {
    return getVehicles();
}
public Vehicle default0DeleteVehicle() {
    return getVehicles().size() == 1? getVehicles().get(0): null;
}
public String disableDeleteVehicle() {
    return doesntOwnAnyVehicles()? "No vehicles to delete": null;
}
